@import "./src/components/Wrapper/index";

.middle {
  z-index: 10;
  box-sizing: border-box;
  overflow: hidden;
  @include max-width-paddings;
  min-width: 480px;

  &__wrapper {
    border-right: 1px solid $main-color-gold;
    border-left: 1px solid $main-color-gold;
    display: flex;
    height: 100%;
    color: white;
    overflow: hidden;
  }

  &__pic {
    width: 33.3%;
    position: relative;
    right: -1%;
    display: flex;
    align-items: flex-end;
    border-bottom: 1px solid $main-color-gold;

    & img {
      width: 100%;
    }
  }

  &__text {
    border-bottom: 1px solid $main-color-gold;
    width: 33.3%;
    box-sizing: border-box;
    padding: 1em;
  }

  &__logo {
    width: 33.3%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;

    & img {
      width: 100%;
    }
  }

  &__title {
    font-size: $size-title;
    white-space: nowrap;
    font-family: $font-4;
  }

  &__description {
    font-size: $size-pading;
    color: rgba(201, 171, 129, .69);
    white-space: nowrap;
    font-family: $font-3;
    font-style: italic;
  }

  &__review {
    font-size: $size-text-small;
    font-weight: 400;
    line-height: 1.5;
    padding-top: 2em;
    font-family: $font-2
  }

  &__title, &__description {
    box-sizing: border-box;
    text-transform: uppercase;
  }
}

@media (max-width: 991px){
  .middle{
    &__wrapper{
      flex-wrap: wrap;
    }

    &__logo, &__pic{
      flex-basis: 50%;
    }

    &__text{
      order: 3;
      flex-grow: 1;
      flex-basis: 100%;
      font-size: 1.5em;
    }

    &__description{
      white-space: normal;
    }
  }
}

